Name: dmapd
Version: 0.0.17
Release: 1%{?dist}
License: GPLv2+
Source: http://www.flyn.org/projects/%name/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.flyn.org/projects/dmapd/
Summary: A server that provides DAAP and DPAP shares
Group: Applications/Multimedia
Requires(pre): shadow-utils
Requires(post): chkconfig
Requires(preun): chkconfig
BuildRequires: avahi-devel, dbus-devel, libexif-devel, libsoup-devel, libdmapsharing-devel, GraphicsMagick-devel

%description 
The dmapd project provides a GObject-based, Open Source implementation 
of DMAP sharing with the following features:

 o Support for both DAAP and DPAP

 o Support for realtime transcoding of media formats not natively 
 supported by clients

 o Support for many metadata formats, such as those associated with Ogg 
 Vorbis and MP3 (e.g., ID3)

 o Detection of video streams so that clients may play them as video

 o Use of GStreamer to support a wide range of audio and video CODECs

 o Caching of photograph thumbnails to avoid regenerating them each time 
 the server restarts



%files 
%defattr(-, root, root, -)
%{_libdir}/*.so.0
%{_libdir}/*.so.%{PACKAGE_VERSION}
%{_libdir}/dmapd
%{_sbindir}/dmapd
%{_sysconfdir}/rc.d/init.d/dmapd
%config %{_sysconfdir}/sysconfig/dmapd
%attr(0700,dmapd,root) %{_localstatedir}/cache/dmapd
%attr(0700,dmapd,root) %{_localstatedir}/run/dmapd
%attr(0700,dmapd,root) %{_localstatedir}/dmapd
%attr(0700,dmapd,root) %{_localstatedir}/dmapd/Movies
%attr(0700,dmapd,root) %{_localstatedir}/dmapd/Music
%attr(0700,dmapd,root) %{_localstatedir}/dmapd/Pictures
%{_mandir}/*/*

%pre
getent group dmapd >/dev/null || groupadd -r dmapd
getent passwd dmapd >/dev/null || useradd -r -g dmapd -d / -s /sbin/nologin -c "dmapd Daemon" dmapd
exit 0


%post
/sbin/ldconfig
/sbin/chkconfig --add dmapd


%preun
if [ $1 = 0 ]; then /sbin/service dmapd stop >/dev/null 2>&1; /sbin/chkconfig --del dmapd; fi


%postun
/sbin/ldconfig
if [ "$1" -ge "1" ]; then /sbin/service dmapd condrestart >/dev/null 2>&1 || :; fi

%doc	AUTHORS COPYING ChangeLog INSTALL NEWS README FAQ 


%package devel
Summary: Files needed to develop modules using dmapd's libraries
Group: Development/Libraries
Requires: dmapd = %{version}-%{release}

%description devel
This package provides the libraries, include files, and other 
resources needed for developing modules using dmapd's API.



%files devel
%defattr(-, root, root, -)
%{_libdir}/pkgconfig/dmapd.pc
%{_includedir}/dmapd-*/
%{_libdir}/*.so





%prep


%setup -q


%build
 %configure  --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm -f %{buildroot}%{_libdir}/libdmapd.la
rm -f %{buildroot}%{_libdir}/dmapd/%{version}/modules/*.la
mkdir -p %{buildroot}%{_localstatedir}/cache/dmapd
mkdir -p %{buildroot}%{_localstatedir}/run/dmapd
mkdir -p %{buildroot}%{_localstatedir}/db/dmapd
mkdir -p %{buildroot}%{_localstatedir}/db/dmapd/Movies
mkdir -p %{buildroot}%{_localstatedir}/db/dmapd/Music
mkdir -p %{buildroot}%{_localstatedir}/db/dmapd/Pictures
install -D -m 755 distro/dmapd.fedora %{buildroot}%{_sysconfdir}/rc.d/init.d/dmapd
install -D -m 644 distro/dmapd %{buildroot}%{_sysconfdir}/sysconfig/dmapd


%clean
rm -rf %{buildroot}




%changelog
* Sat Nov 21 2009 W. Michael Petullo <mike[@]flyn.org> - 0.0.16-1
- New upstream version.

* Tue Nov 10 2009 W. Michael Petullo <mike[@]flyn.org> - 0.0.15-1
- New upstream version.

- Require dbus-devel to build.

- Properly set permissions of /etc/sysconfig/dmapd.

- Run ldconfig.

- Fix user creation.

* Thu Jul 23 2009 W. Michael Petullo <mike[@]flyn.org> - 0.0.14-1
- New upstream version.

- Fix URL.

* Thu May 07 2009 W. Michael Petullo <mike[@]flyn.org> - 0.0.10-1
- New upstream version.

- Use %%{buildroot} exclusively.

- Add requirements for pre, post, preun and postun.

- Remove disttags from changelog.

- Remove extra defattr.

* Sun Jan 11 2009 W. Michael Petullo <mike[@]flyn.org> - 0.0.8-1
- Initial package for Fedora.




